- set_fact:
    cross_compile: "{{ ansible_architecture != 'aarch64'}}"
    uboot_build_dir: "{{ cache_dir }}/build/bootloader"

- name: Checkout latest uboot source
    git:
      repo: "{{ uboot_repo_addr }}"
      dest: "{{ uboot_build_dir }}/uboot"
      version: "{{ uboot_repo_branch }}"
      depth: 1

- name: Checkout latest Cortex-M4 source
    git:
      repo: "{{ cm4_repo_addr }}"
      dest: "{{ uboot_build_dir }}/cm4"
      version: "{{ cm4_repo_branch }}"
      depth: 1

- command: "make -C {{ uboot_build_dir }}/uboot -j{{ansible_processor_vcpus}} ARCH={{ uboot_build_arch }} {{ kernel_cross_compile | ternary('CROSS_COMPILE=aarch64-linux-gnu-','') }} {{ item }}"
  loop:
    - "config {{ uboot_config }}"
    - "all"

- command: "make -C {{ uboot_build_dir }}/cm4 -j{{ansible_processor_vcpus}}"

- copy:
    src: "{{ uboot_build_dir }}/uboot"
